Subject: Re: [PATCH] tpm2: Export tpm2_get_cc_attrs_tbl for ibmvtpm driver as module

From: Jarkko Sakkinen <[email-masked]>
Date: Thu, 19 Mar 2020 23:16:42 +0200

On Thu, Mar 19, 2020 at 11:56:11AM -0400, Stefan Berger wrote:
> On 3/19/20 10:27 AM, Jarkko Sakkinen wrote:
> > On Wed, Mar 18, 2020 at 03:53:54PM -0400, Stefan Berger wrote:
> > > On 3/18/20 3:42 PM, Jarkko Sakkinen wrote:
> > > > On Tue, Mar 17, 2020 at 09:08:19AM -0400, Stefan Berger wrote:
> > > > > From: Stefan Berger <[email-masked]>
> > > > > 
> > > > > This patch fixes the following problem when the ibmvtpm driver
> > > > > is built as a module:
> > > > > 
> > > > > ERROR: modpost: "tpm2_get_cc_attrs_tbl" [drivers/char/tpm/tpm_ibmvtpm.ko] undefined!
> > > > > make[1]: *** [scripts/Makefile.modpost:94: __modpost] Error 1
> > > > > make: *** [Makefile:1298: modules] Error 2
> > > > > 
> > > > > Signed-off-by: Stefan Berger <[email-masked]>
> > > > Hi, wrong tag (we use "tpm:"), missing fixes tag and please cc stable.
> > > > Thanks.
> > > I did not add the fixes tag because I do not know the final commit hash, or
> > > is it the final commit hash once it is in linux-next? I doubt it with all
> > > the merging that can occur.
> > Can you send me a new version after rc1 is out?
> 
> Michael Ellerman (cc'ed) told me that the fixes tag should 'work' once the
> bad patch is in linux-next. So I reposted yesterday (with a stray 'q' in the
> title :-( ):

OK, cool, I'll correct it and apply thanks.

Reviewed-by: Jarkko Sakkinen <[email-masked]>

/Jarkko